idris-1.3.4: Functional Programming Language with Dependent Types

License | BSD3
Maintainer | The Idris Community.
Safe Haskell | Safe-Inferred
Language | Haskell2010

Idris.Primitives

Description

# Documentation

primitives :: [Prim] #

data Prim #

Constructors

Prim |
Fields p_name :: Name p_type :: Type p_arity :: Int p_def :: [Const] -> Maybe Const p_lexp :: (Int, PrimFn) p_total :: Totality